use ExtUtils::MakeMaker;
# See lib/ExtUtils/MakeMaker.pm for details of how to influence
# the contents of the Makefile that is written.
WriteMakefile
  (
   DISTNAME     => 'OSC-perl',
   NAME         => 'OSC',
   VERSION_FROM => 'OSC.pm', # finds $VERSION
   AUTHOR       => 'Bryan Jurish <moocow@ling.uni-potsdam.de>',
   ABSTRACT     => 'Perl wrapper classes for OSC socket communications.',
   TYPEMAPS    	=> ['perlobject.map', 'typemap' ],
   LIBS         => '-lOSC',
   OBJECT       => ('OSC$(OBJ_EXT)'
		    .' sendOSC$(OBJ_EXT)'
		    .' htmsocket$(OBJ_EXT)'),
   PREREQ_PM    => {
		    Socket => undef,
		    IO::Socket => undef,
		    IO::Socket::INET => undef,
		   },
  );

#---------------------------------------------------------------
# Extensions
#---------------------------------------------------------------

sub MY::postamble {
  # how to format the README file
  "README : README.pod\n"
  ."\tpod2text README.pod README\n\n";
}

sub MY::dist_core {
  package MY;
  my $inherited = shift->SUPER::dist_core(@_);
  $inherited =~
    # ... distribution requires current README file
    s/^dist\s*:/dist\ : README/m;
  $inherited;
}
