/* -*- Mode: C -*- */
#include "EXTERN.h"
#include "perl.h"
#include "XSUB.h"

#include "sendOSC.h"

/*#define OSC_PERL_DEBUG*/

#ifdef OSC_PERL_DEBUG
# define OSC_PERL_IFDEBUG(x) x
#else
# define OSC_PERL_IFDEBUG(x)
#endif

MODULE = OSC		PACKAGE = OSC

void
sendOSC(av)
     AV *av
 PREINIT:
  int i = 0,
  argc = 0;
  SV **val = NULL;
  char **argv = NULL;
 CODE:
  argc = av_len(av)+1;
  New(0, argv, argc, char *);
  for (i=0; i < argc; i++) {
    val = av_fetch(av,i,0);
    if (val && *val) {
      argv[i] = SvPV_nolen(*val);
      OSC_PERL_IFDEBUG(printf("sendOSC: got %d-th val '%s'\n", i, argv[i]));
    }
    else {
      argv[i] = NULL;
      OSC_PERL_IFDEBUG(printf("sendOSC: no %d-th val !\n", i));
    }
  }
  HartCoreMode(argc, argv);
#ifdef OSC_PERL_DEBUG
  for (i=0; i < argc; i++) {
    printf("post-HartCore: argv[%d] = %s\n", i, argv[i]); \
  }
#endif
 CLEANUP:
  Safefree(argv);
