#!/usr/bin/perl

################################
# sendOSC emulator example script
# usage: ./sendOSC.pl localhost 5151 /bla,1,2,3
# usage: ./sendOSC.pl localhost 5151 /bla,1,2,3,4,34k5h34hb3j4h5b4,fef,55.6656
# 200207, jdl@xdv.org
# - modified Wed, 31 Mar 2004 18:35:00 +0200 by moocow to use OO wrappers

#-- assuming you start from OSC-Socket/examples
use lib qw(../blib/arch ../blib/lib);

use OSC;
use OSC::Send;

if ($#ARGV < 0) {
  # defaults
  print "Usage: $0 HOST PORT MESSAGE\n";
  print "  + Message format: /address,arg1,arg2,arg3,...\n";
  exit;
} else {
  $host = shift;
  $port = shift;
}

$msg = join(' ', @ARGV);

$sock = OSC::Send->new(host=>$host,port=>$port)
  or die("$0: could not create socket: $!");

# @msgs = split /,/,$msg;
# $sock->send(@msgs);  #-- weird

$sock->send($msg);

exit 1;
